<?php
namespace Zeedhi\DataMining\Common\Service;

use Zeedhi\DataMining\Common\Util\Environment;
use Zeedhi\DataMining\Common\Service\Mongo\Runner as MongoRunner;

class DataSource {

    const COLLECTION_NAME = 'dataSource';

    protected $environment;

    protected $mongoRunner;


    public function __construct(Environment $environment, MongoRunner $mongoRunner) {
        $this->environment = $environment;
        $this->mongoRunner = $mongoRunner;
    }

    public function findById($id) {
        $orgConnection = $this->environment->getOrganizationConnection();
        return $this->mongoRunner->findById($orgConnection, self::COLLECTION_NAME, $id);
    }

}