<?php


namespace Zeedhi\DataMining\Common\Service\PeriodMathExpression\Strategy;


class Week extends StrategyAbstract implements UnitInterface
{

    public function add($date, $quantity): \DateTime
    {
        return $date->modify('+ '.$quantity.' week');
    }

    public function sub($date, $quantity): \DateTime
    {
        return $date->modify('- '.$quantity.' week');
    }

    public function set($date, $value): \DateTime
    {
        $value %= 7;
        $weekday = $date->format('w')+1;
        $day = $value - $weekday;
        if($day < 0 ){
            $day += 7;
        }

        return $date->modify('+ '.$day.' day');
    }

    public function modify($date, $operator, $quantity): \DateTime
    {
        return parent::modify($date, $operator, $quantity);
    }
}